Bug 969965 - Missing "Allow: /app/account/new" line in robots.txt file on STG.
Missing "Allow: /app/account/new" line in robots.txt file on STG.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 04:01 EDT by Yujie Zhang
Modified: 2015-05-14 21:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:50:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-06-03 04:01:04 EDT
Description of problem:

Checked https://stg.openshift.redhat.com/robots.txt, found that it missed "Allow: /app/account/new".

This issue only exists on STG, devenv-stage_356 does not have this issue.

Version-Release number of selected component (if applicable):
STG(devenv-stage_356)

How reproducible:
always

Steps to Reproduce:
1.Visit https://stg.openshift.redhat.com/robots.txt
2.
3.

Actual results:

Miss "Allow: /app/account/new" line, the current content is as following:

# openshift.redhat.com
# 2013-03-05

# All agents allowed
User-agent: *

Disallow: /broker/
Disallow: /app/console/
Disallow: /app/account/
Disallow: /app/login

Expected results:

The content should be as following:

# openshift.redhat.com
# 2013-03-05

# All agents allowed
User-agent: *

Allow: /app/account/new
Disallow: /broker/
Disallow: /app/console/
Disallow: /app/account/
Disallow: /app/login

Additional info:
Comment 1 Clayton Coleman 2013-06-12 17:10:54 EDT
Fixed in STG/PROD
Comment 2 Yujie Zhang 2013-06-12 22:20:49 EDT
Tested on STG, the missing line has been added now, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.